%define svnrelease 1815
%define devel %mklibname %{name} -d
%define libs %mklibname %{name}

Name: unimrcp
Version: 1.0.0
Release: %mkrel 8
Summary: Media Resource Control Protocol Stack
License: Apache
Group: System/Servers
Url: http://unimrcp.org
Source: http://unimrcp.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: %{name}server.init

BuildRequires: pkgconfig
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libexpat-devel
BuildRequires: libunimrcp-deps-devel
BuildRequires: pocketsphinx-devel
BuildRequires: sndfile-devel
BuildRequires: sphinxbase-devel
BuildRequires: flite-devel >= 1.3

Requires: libunimrcp-deps
Requires: flite

%description
Media Resource Control Protocol (MRCP) allows to control media processing
resources over the network using distributed client/server architecture.
Media processing resources include:
- Speech Synthesizer (TTS)
- Speech Recognizer (ASR)
- Speaker Verifier (SV)
- Speech Recorder (SR)
MRCP is not a stand alone protocol and it relies on various VoIP protocols
such as:
- SIP (MRCPv2), RTSP (MRCPv1) session management
- SDP offer/answer model
- RTP media streaming
UniMRCP is an open source cross-platform MRCP implementation, which provides
everything required for MRCP client and server side deployment.
UniMRCP encapsulates SIP/MRCPv2, RTSP, SDP and RTP stacks inside and provides
MRCP version independent user level interface for the integration.

%package -n %{libs}
Summary: Media Resource Control Protocol Stack shared libraries
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}

%package -n %{devel}
Summary: Media Resource Control Protocol Stack development
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Requires: lib%{name} = %{version}-%{release}, pkgconfig
Conflicts: %{_lib}unimrcp < 1.0.0-5

%description -n %{libs}
UniMRCP is an open source cross-platform MRCP implementation, which provides
everything required for MRCP client and server side deployment.
UniMRCP encapsulates SIP/MRCPv2, RTSP, SDP and RTP stacks inside and provides
MRCP version independent user level interface for the integration.
This package contains UniMRCP shared libraries

%description -n %{devel}
UniMRCP is an open source cross-platform MRCP implementation, which provides
everything required for MRCP client and server side deployment.
UniMRCP encapsulates SIP/MRCPv2, RTSP, SDP and RTP stacks inside and provides
MRCP version independent user level interface for the integration.
This package contains development part of UniMRCP.

%prep
%setup -q 

%build
[ ! -x ./bootstrap ] || ./bootstrap

perl -pi -w -e 's/lib\/pkgconfig/pkgconfig/g' configure
perl -pi -w -e 's/^confdir=([\W])\$\{prefix\}/confdir=$1\$\(DESTDIR\)\$\{prefix\}/g' configure
perl -pi -w -e 's/^logdir=([\W])\$\{prefix\}/logdir=$1\$\(DESTDIR\)\$\{prefix\}/g' configure
perl -pi -w -e 's/^datadir=([\W])\$\{prefix\}/datadir=$1\$\(DESTDIR\)\$\{prefix\}/g' configure

%configure2_5x \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --with-apr=%{_datadir}/unimrcp-deps \
    --with-apr-util=%{_datadir}/unimrcp-deps \
    --with-sofia-sip=%{_datadir}/unimrcp-deps/lib \
    --with-sphinxbase=%{_libdir} \
    --with-pocketsphinx=%{_libdir} \
    --enable-pocketsphinx-plugin
#    --enable-flite-plugin \

%install
%makeinstall_std

install -d -m1775 %{buildroot}%{_sysconfdir}/%{name}
mv -f %{buildroot}/usr/conf %{buildroot}%{_sysconfdir}/%{name}/
mv -f %{buildroot}/usr/data %{buildroot}%{_sysconfdir}/%{name}/
mv -f %{buildroot}/usr/log %{buildroot}%{_sysconfdir}/%{name}/
mv -f %{buildroot}/usr/plugin %{buildroot}%{_sysconfdir}/%{name}/

install -d -m1775 %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}server

%files
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/conf/*.xml
%config(noreplace) %{_sysconfdir}/%{name}/conf/*.xsd
%config(noreplace) %{_sysconfdir}/%{name}/conf/client-profiles/*.xml
%{_bindir}/*
%{_sysconfdir}/%{name}/plugin
%{_sysconfdir}/%{name}/data
%{_sysconfdir}/%{name}/log
%{_sysconfdir}/rc.d/init.d/*

%files -n %{libs}
%{_libdir}/*.so.*

%files -n %{devel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 943240
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 744563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 690045
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 1.0.0-5.mga5
+ Revision: 662376
- move devel files to devel pkg

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 519893
- Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR sndfile-devel

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 385065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dlucio <dlucio> 1.0.0-1.mga3
+ Revision: 340029
- 1.0.0

* Sun Apr 29 2012 colin <colin> 0.1815-3.mga2
+ Revision: 234216
- Add LSB headers to initscripts (mga#5262)

* Mon Apr 02 2012 pterjan <pterjan> 0.1815-2.mga2
+ Revision: 227812
- Rebuild after libexpat.la removal

* Sun Mar 25 2012 dlucio <dlucio> 0.1815-1.mga2
+ Revision: 226319
- BR fixes
- We remove useless conflicting dep
- imported package unimrcp


* Wed Feb 15 2012 zamir <zamir@mandriva.org> 0.1815-1mdv2012.0
+ Revision: 774466
- need rebuild
- need rebuild

* Sun Aug 21 2011 zamir <zamir@mandriva.org> 0.1815-0
+ Revision: 696000
- add dependency
- build new pkg version

* Wed Apr 20 2011 zamir <zamir@mandriva.org> 0.1798-4
+ Revision: 656315
- rebuild with new pocketsphinx realese

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.1798-3
+ Revision: 640489
- rebuild to obsolete old packages

* Sun Feb 13 2011 zamir <zamir@mandriva.org> 0.1798-2
+ Revision: 637562
- change provides

* Sun Feb 13 2011 zamir <zamir@mandriva.org> 0.1798-1
+ Revision: 637553
- patch makefile
- fix spec files
- fixed install requires
- fixed Build Requires
- fixed Build Requires
- first build
- create unimrcp

